from enum import Enum


class MessageToPlayer(Enum):
    Waiting = "WAITING_ROOM"
    ReadyToStart = "READY_ROOM"
    NewGame = "NEW_GAME"
    GiveHand = "GIVE_HAND"
    WaitTurn = "WAITING_TURN"
    YourTurn = "YOUR_TURN"
    Announce = "ANNOUNCE"
    LoseRound = "LOSE_ROUND"
    Win = "WINNER"
    WinnerIs = "WINNER_IS"
    Lose = "LOSER"
    Reset = "RESET"


class MessageFromPlayer(Enum):
    Waiting = "WAITING"
    Ready = "READY"
    Bet = "BET"
    Menteur = "MENTEUR"
